Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class ConsumerContainerSelector

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector
org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractConsumerContainerSelector
org.eclipse.ecf.osgi.services.remoteserviceadmin.ConsumerContainerSelector

All Implemented Interfaces:
  `IConsumerContainerSelector`

public class ConsumerContainerSelector extends AbstractConsumerContainerSelector implements IConsumerContainerSelector
Default implementation of `IConsumerContainerSelector`.

## Field Summary

### Fields inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector

`EMPTY_REMOTE_SERVICE_CONTAINER_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`ConsumerContainerSelector(boolean autoCreateContainer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`IRemoteServiceContainer`
`selectConsumerContainer(EndpointDescription endpointDescription)`
Select (or create and initialize) a consumer remote service container.

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractConsumerContainerSelector

`connectContainerToTarget, createAndConfigureConsumerContainer, createContainer, getConnectContext, matchNotConnected, matchSupportedConfigs, selectExistingConsumerContainer, selectLocalImportedConfig`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractContainerSelector

`connectContainer, createConnectContext, createContainer, createContainer, createTargetID, disconnectContainer, getContainerFactory, getContainerFactoryArguments, getContainerFactoryArguments, getContainerManager, getContainers, getContainerTypeDescription, getContainerTypeDescriptions, getRemoteServiceContainers, getSupportedConfigTypes, getSupportedIntents, hasRemoteServiceContainerAdapter, includeContainerWithConnectNamespace, logError, logError, logException, logWarning, matchConnectNamespace, matchContainerID, trace, traceException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsumerContainerSelector

public ConsumerContainerSelector(boolean autoCreateContainer)

## Method Details

### selectConsumerContainer

public IRemoteServiceContainer selectConsumerContainer(EndpointDescription endpointDescription) throws SelectContainerException
Description copied from interface: `IConsumerContainerSelector`
Select (or create and initialize) a consumer remote service container.

Specified by:
  `selectConsumerContainer` in interface `IConsumerContainerSelector`
Parameters:
  `endpointDescription` - the endpoint description that has been discovered.
Returns:
  IRemoteServiceContainer to be used for importing the remote service. May be `null` if not container is available for use as a consumer for the given endpointDescription.
Throws:
  `SelectContainerException` - thrown if the host container selection or creation/configuration fails.

### close

public void close()